/**
 * Sharp IR sensor uses SharpIR library
 * https://github.com/guillaume-rico/SharpIR
 * 
 * Example based on https://www.makerguides.com/sharp-gp2y0a21yk0f-ir-distance-sensor-arduino-tutorial/
 * 
 */

// Include libraries:
#include <SharpIR.h>

// Define sensor model GP2Y0A21YK0F and input pin:
#define IRPin A0
#define model 1080

// Create a new instance of the SharpIR class:
SharpIR mySensor = SharpIR(IRPin, model);

void setup() {
  Serial.begin(9600); // start serial port output, check for same speed at Serial Monitor
}

void loop() {
  unsigned int distance = mySensor.distance(); // read distance from sensor
  Serial.print("Dist.: ");
  Serial.println(distance);

  delay(500); // wait half a second
}
